<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'crm',

    /*
     * Package.
     */
    'package'   => 'lead',

    /*
     * Modules.
     */
    'modules'   => ['lead'],

    
    'lead'       => [
        'model' => [
            'model'                 => \Crm\Lead\Models\Lead::class,
            'table'                 => 'leads',
            'presenter'             => \Crm\Lead\Repositories\Presenter\LeadPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['contato_id',  'como_chegou_ate_nos',  'segmento',  'tipo_contato',  'empreendimento',  'outras_informacoes',  'data_criacao',  'status',  'motivo_status',  'user_id',  'user_type',  'slug',  'created_by',  'updated_by'],
            'translatables'         => [],
            'upload_folder'         => 'lead/lead',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Crm',
            'package'   => 'Lead',
            'module'    => 'Lead',
        ],

    ],
];
